Bug 457204 - Discover doesn't re-open when launched again after being closed while updating
Summary: Discover doesn't re-open when launched again after being closed while updating
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: master
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2022-07-27 14:56 UTC by Nicolas Fella
Modified: 2022-07-29 14:54 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Fella 2022-07-27 14:56:51 UTC
STEPS TO REPRODUCE
1. Start an update
2. Close Window, update continues in background
3. Open discover again from Kickoff

OBSERVED RESULT
Discover doesn't open

EXPECTED RESULT
Discover opens

Restoring from the system tray icon works as expected

SOFTWARE/OS VERSIONS
KDE Plasma Version: master
KDE Frameworks Version: master
Qt Version: 5.15.5-kde
Comment 1 Nate Graham 2022-07-27 20:12:36 UTC
Does it work if you click on the SNI in the system tray?
Comment 2 Nicolas Fella 2022-07-27 20:13:34 UTC
yes, that's what I meant with "Restoring from the system tray icon works as expected"
Comment 3 Nate Graham 2022-07-27 20:15:11 UTC
Ok yeah, I can reproduce all of that.
Comment 4 Bug Janitor Service 2022-07-28 00:56:49 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/340
Comment 5 Nate Graham 2022-07-29 14:54:13 UTC
Git commit a344b9fa81c9dd246a8716d5a2e80f79446b4b26 by Nate Graham, on behalf of Aleix Pol.
Committed on 29/07/2022 at 14:52.
Pushed by ngraham into branch 'master'.

Restore the view when the process is relaunched and it's on the SNI

When we move Discover into the SNI while updating, if Discover is
launched, it should restore the view.

M  +4    -0    discover/DiscoverObject.cpp
M  +1    -0    discover/main.cpp

https://invent.kde.org/plasma/discover/commit/a344b9fa81c9dd246a8716d5a2e80f79446b4b26